DIRNAME(1)

NAME
dirname - strip non-directory suffix from file name

SYNOPSIS
dirname filename
dirname {--help,--version}

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of dirname. dirname prints all but the final slash-delimited component of filename. If filename is a single component, dirname prints `.' (meaning the current directory).

  OPTIONS

--help
    Print a usage message on standard output and exit successfully.

--version
    Print version information on standard output then exit successfully.